20. Aug 2018, 20:33 Hallo Gast.
Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?

Einloggen mit Benutzername, Passwort und Sitzungslänge. Hierbei werden gemäß Datenschutzerklärung Benutzername und Passwort verschlüsselt für die gewählte Dauer in einem Cookie abgelegt.


Select Boards:
 
Language:
 


Autor Thema: Probleme mit der Version 2.0  (Gelesen 9463 mal)

Turin Turumbar

  • Administrator
  • Hüter von Anduril
  • *****
  • Beiträge: 3.633
Probleme mit der Version 2.0
« am: 30. Sep 2008, 21:37 »
Der Mod crasht oder das Original Spiel startet?
Dann postet euer Problem hier!

Darkangle

  • Hobbit
  • *
  • Beiträge: 1
Re: Probleme mit der Version 2.0
« Antwort #1 am: 28. Nov 2008, 15:11 »
Also erst ma ne frage isses Normal das der den nur nach "C" instaliert ohne Ordner etc?
dan starter er nichma des game ^^  Sprich ich klick uff starten un passieren tut 0 :S
Ha auch Netframework duff un zum System es is Vista Führe es aber als Admin aus ;)

Turin Turumbar

  • Administrator
  • Hüter von Anduril
  • *****
  • Beiträge: 3.633
Re: Probleme mit der Version 2.0
« Antwort #2 am: 28. Nov 2008, 15:59 »
64 Bit?
Dann kann es sein, dass die Dateien nicht in den richtigen Ordner extrahiert werden, da es sein kann, dass der Installer auf 64 Bit System den InstallPfad aus der Registry nicht richtig lesen kann.
Kopier einfach die Installierten Daten in das Hauptverzeichnis des Addons und veränder die Pfade in der tbfn.lnk entsprechend. Dann sollte alles funktionieren.

Edit: Alternativ kannst du auch das machen: [kopiert von der Sum Fanpage]
Zitat
Workaround für 64 Bit User:

Insofern ihr eine 64 Bit Version nutzt, lässt sich der Launcher nicht starten. Das Problem liegt in der Registry, da es sich bei SuM II um ein 32 Bit Programm handelt, sind die Registrierungsschlüssel an einem anderen Pfad hinterlegt.
Wir kopieren die Registrierungsschlüssel somit einfach an die Stelle, an der sie bei einem 32 Bit Betriebssystem liegen würden.

Dazu starten wir den Registrierungseditor in dem wir in die Suchleiste des Vista-Startmenüs "regedit" eintippen und Enter drücken.



Dort navigieren wir zu folgendem Schlüssel:

HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Electronic Arts\Electronic Arts\The Battle for Middle-earth II bzw. zum deutschen Pendant
HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Electronic Arts\Electronic Arts\Die Schlacht um Mittelerde II

Indem wir durch einen Rechtsklick auf "The Battle for Middle-earth II" bzw. "Die Schlacht um Mittelerde II" das Kontextmenü öffen, können wir anschließend "Exportieren" auswählen.



Speichert die Datei mit den Registrierungsschlüsseln der Einfachheit halber als "sum.reg" auf dem Desktop ab.

Die so erstellte Datei bearbeiten wir mit dem Editor. Dazu klicken wir mit rechts auf die Datei auf dem Desktop und wählen "Bearbeiten"



Jetzt wählen wir im Menü "Bearbeiten" "Ersetzen" aus. Wir ersetzen dann alle Vorkommen von "Wow6432Node\" durch nichts. Das Feld ersetzen bleibt also leer.



Nun schliessen wir den Editor und speichern die Datei. Anschliessend tragen wir die neuen Registrierungsschlüssel durch einen Doppelklick auf die Datei in die Systemregistrierung ein. Die Frage: "Möchten sie den Vorgang fortsetzen?" beantworten wir mit ja und erhalten danach die Bestätigung.

Du musst dort nur so verändern, dass du die Einträge des Addons nimmst.
Wenn du das gemacht hast einfach den Mod nochmal neu installieren, dann geht es auch ;)
« Letzte Änderung: 28. Nov 2008, 16:05 von Turin Turumbar »

Akhorahil

  • Gast
Re: Probleme mit der Version 2.0
« Antwort #3 am: 12. Dez 2008, 21:02 »
Ich habe auch ein kleines Problem, hängt wahrscheinlih mit Net Framewor zusammen:

Wenn ich den Starter öffnen will, crasht plötzlich Net Framework und da steht dann:

Bad file oder number

EDIT: Puh, geht wieder ganz normal, hab aber ein neues Problem:

wenn ich im Starter auf RotWk klicke, wird der Worldbuilder gestartet
« Letzte Änderung: 12. Dez 2008, 23:29 von Angel Of Apokalyps »

Turin Turumbar

  • Administrator
  • Hüter von Anduril
  • *****
  • Beiträge: 3.633
Re: Probleme mit der Version 2.0
« Antwort #4 am: 13. Dez 2008, 14:16 »
Genau dieser Fehler entsteht, wenn du nicht NET.Framework 3.5 installiert hast, installiert zuerst Version 2.0.1, dieses wird checken ob die Version 3.5 installiert hast und dich dann auf einen entsprechenden Link umleiten.

EuerUntergang

  • Bilbos Festgast
  • *
  • Beiträge: 5
Re: Probleme mit der Version 2.0
« Antwort #5 am: 11. Mai 2009, 00:27 »
Hallo,
Ich brauche dringend Hilfe jedes mal wenn ich die mod starten will, also nach dem Starter, wird der Bildschirm schwarz und ich bekomme einen game.dat fehler.
Ich hoffe ihr könnt mir helfen.
Falls ihr weitere Infos brauch fragt einfach^^

Turin Turumbar

  • Administrator
  • Hüter von Anduril
  • *****
  • Beiträge: 3.633
Re: Probleme mit der Version 2.0
« Antwort #6 am: 11. Mai 2009, 12:36 »
Hast du Patch 2.01 installiert?
Irgendeine andere Mod installiert bzw installiert gehabt?

EuerUntergang

  • Bilbos Festgast
  • *
  • Beiträge: 5
Re: Probleme mit der Version 2.0
« Antwort #7 am: 11. Mai 2009, 18:51 »
Also der Patch ist drauf und Mods hatte ich vorher auch keine drauf.

Turin Turumbar

  • Administrator
  • Hüter von Anduril
  • *****
  • Beiträge: 3.633
Re: Probleme mit der Version 2.0
« Antwort #8 am: 11. Mai 2009, 18:57 »
Zeig mal die Fehlermeldung.
Ich meine Patch 2.01 für das Spiel und nicht für die Mod, hoffe das ist klar, gab da schon einige Missverständnisse.

EuerUntergang

  • Bilbos Festgast
  • *
  • Beiträge: 5
Re: Probleme mit der Version 2.0
« Antwort #9 am: 11. Mai 2009, 19:12 »
Nein ich hab schon den Patch für das Game gemeint^^
Hier ein Screenshoot eine ganz "normale" game.dat Fehlermeldung

Turin Turumbar

  • Administrator
  • Hüter von Anduril
  • *****
  • Beiträge: 3.633
Re: Probleme mit der Version 2.0
« Antwort #10 am: 11. Mai 2009, 19:30 »
Uih, das ist komisch, funktioniert das normale Spiel?
Startest du das Spiel mit einem Crack, Image etc.? Weil das kann den Start der Mod verhindern und ist sowieso illegal.

Ich würde einfach mal Mod und Spiel neuinstallieren, nach der Deinstallation Ordner nochmal manuell löschen.

EuerUntergang

  • Bilbos Festgast
  • *
  • Beiträge: 5
Re: Probleme mit der Version 2.0
« Antwort #11 am: 11. Mai 2009, 19:56 »
Also nen Crack benutz ich nicht und das normale Spiel geht einwandfrei, allerdings muss ich bei einer Neuinstallation des Spiels immer die options.ini selbst erstellen sonst startet es nicht und es kommt ein Runtime Error. Vielleicht hängt es ja damit zusammen.

Turin Turumbar

  • Administrator
  • Hüter von Anduril
  • *****
  • Beiträge: 3.633
Re: Probleme mit der Version 2.0
« Antwort #12 am: 11. Mai 2009, 19:58 »
Nein das sollte kein Problem haben, ist bei mir auf Grund von Vista auch so.
Versuchs einfach mal mit Neuninstallation.Wichtig ist wirklich den Addon Ordner nach der Deinstallation nochmal manuell zu löschen, falls irgendwelche Rückstände dort bleiben.

EuerUntergang

  • Bilbos Festgast
  • *
  • Beiträge: 5
Re: Probleme mit der Version 2.0
« Antwort #13 am: 12. Mai 2009, 16:40 »
Hab jetzt nochmal eine Neuinstallation gemacht und es geht^^
Naja, manchmal kommt man halt nicht aufs einfachsten.
Vielen Dank für den Tipp^^

Sauron, Herr der Erde

  • Elronds Berater
  • **
  • Beiträge: 343
Re: Probleme mit der Version 2.0
« Antwort #14 am: 2. Jun 2009, 15:19 »
Bei mir steht was davon "die Datei konnte nicht richtig inistialisiert werden". Hilfe!
Gib mir eine Armee die Mordors würdig ist. Mit Total War und Mittelerde in die Schlacht.



Gestern standen wir noch vorm Abgrund heute sind wir einen Schritt weiter.